Package org.zkoss.zkmax.bind.impl

## Class BindELResolverEx

- java.lang.Object
- - org.zkoss.zel.ELResolver
  - - org.zkoss.xel.zel.XelELResolver
    - - org.zkoss.bind.xel.zel.BindELResolver
      - - org.zkoss.zkmax.bind.impl.BindELResolverEx

-     public class BindELResolverEx
      extends BindELResolver

  An extension of BindELResolver to do a lazy initiating EL expression construction.
  Since:
    8.0.0
  Author:
    jumperchen

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.xel.zel.XelELResolver

      `XelELResolver.StandardBeanNameResolver`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.xel.zel.BindELResolver

      `_pathResolver, _resolver`

    - ### Fields inherited from class org.zkoss.xel.zel.XelELResolver

      `_ctx`

    - ### Fields inherited from class org.zkoss.zel.ELResolver

      `RESOLVABLE_AT_DESIGN_TIME, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BindELResolverEx​(XelContext ctx)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected ELResolver` | `getELResolver()` |
    `protected ImplicitObjectELResolver` | `getImplicitResolver()` |
    `protected ELResolver` | `getSuperELResolver()` |
    `protected void` | `init()` |
    `protected void` | `tieValue​(ELContext elCtx, java.lang.Object base, java.lang.Object property, java.lang.Object value, boolean allownotify)` |

    - ### Methods inherited from class org.zkoss.bind.xel.zel.BindELResolver

      `getValue, invoke, setValue`

    - ### Methods inherited from class org.zkoss.xel.zel.XelELResolver

      `getCommonPropertyType, getFeatureDescriptors, getType, getXelContext, isReadOnly, resolve`

    - ### Methods inherited from class org.zkoss.zel.ELResolver

      `convertToType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BindELResolverEx

          public BindELResolverEx​(XelContext ctx)

  - ### Method Detail

    - #### init

          protected void init()

      Overrides:
        `init` in class `BindELResolver`

    - #### getImplicitResolver

          protected ImplicitObjectELResolver getImplicitResolver()

      Overrides:
        `getImplicitResolver` in class `BindELResolver`

    - #### getSuperELResolver

          protected ELResolver getSuperELResolver()

      Overrides:
        `getSuperELResolver` in class `BindELResolver`

    - #### getELResolver

          protected ELResolver getELResolver()

      Overrides:
        `getELResolver` in class `BindELResolver`

    - #### tieValue

          protected void tieValue​(ELContext elCtx,
                                  java.lang.Object base,
                                  java.lang.Object property,
                                  java.lang.Object value,
                                  boolean allownotify)

      Overrides:
        `tieValue` in class `BindELResolver`